#!/bin/sh
#
# $Id: sensor_init.sh,v 1.1 1998/06/03 18:09:31 wralph Exp $
#
# This shell script should be inserted into the /etc/rc.d/init.d directory of
# Redhat Linux, with symbolic links S51sensor in /etc/rc.d/rc3.d and K51sensor
# in /etc/rc.d/rc1.d. Your mileage will vary if not using RHL 5.0.
#
# description: Starts and stops the tcpdump process.

# Source function library.
. /etc/rc.d/init.d/functions

# Source networking configuration.
. /etc/sysconfig/network

# See how we were called.
case "$1" in
  start)
        echo -n "Starting tcpdump services: "
        /usr/local/logger/sensor/tcpdump.driver.pl > /dev/null 2>&1
        echo
        ;;
  stop)
        echo -n "Shutting down tcpdump services: "
        killproc tcpdump
        echo ""
        ;;
  status)
        status tcpdump
        ;;
  restart)
        echo -n "Restarting tcpdump services: "
        echo -n "tcpdump "
        kill -HUP `pidof -s tcpdump`
        echo "done."
        ;;
  *)
        echo "Usage: tcpdump {start|stop|restart|status}"
        exit 1
esac
